Autor Thema: Nach Upgrade auf Ubuntu 20.04 streikt der Webserver  (Gelesen 3959 mal)

ohahn

  • Newbie
  • Beiträge: 3
 Nach Upgrade meines KIX-Test-Servers (17.15) auf Ubuntu 20.04.2 LTS lässt sich die Admin-Oberfläche nicht mehr aufrufen, es erscheint ein 500er Error.
MySQL und Apache2 laufen aber. Im Apache Error-Log steht:
 
#############################################
[Tue May 11 13:54:27.610511 2021] [mpm_prefork:notice] [pid 132341] AH00169: caught SIGTERM, shutting down
[Tue May 11 13:54:27.959359 2021] [mpm_prefork:notice] [pid 135200] AH00163: Apache/2.4.41 (Ubuntu) mod_auth_kerb/5.4 mod_perl/2.0.11 Perl/v5.30.0 configured -- resuming normal operations
[Tue May 11 13:54:27.959394 2021] [core:notice] [pid 135200] AH00094: Command line: '/usr/sbin/apache2'
[Tue May 11 13:54:51 2021] -e: DBD::mysql::st execute failed: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups, valid_id, f_agent, f_custal_group_id, field_order, ic' at line 1 at /opt/kix/Kernel/System/DB.pm line 682.
ERROR: KIX-CGI-42 Perl: 5.30.0 OS: linux Time: Tue May 11 13:54:51 2021
 
Message: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups, valid_id, f_agent, f_customer, customer_portal_group_id, field_order, ic' at T name, description, template_id, is_master_template, master_id, clone_dynamic_fields, is_preselected, groups, valid_id, f_agent, f_customer, customer_portal_group_id, field_order, icon_content, icon_content_type
FROM kix_template_workflows
WHERE id = ?
'
 
RemoteAddress: 10.42.4.202
RequestURI: /kix/index.pl?Action=Admin
 
Traceback (135204):
   Module: Kernel::System::TemplateWorkflows::WFElementGet Line: 201
   Module: Kernel::System::Ticket::Acl::TemplateWorkflowsRestrictions::Run Line: 72
   Module: Kernel::System::Ticket::TicketACL::TicketAcl Line: 274
   Module: Kernel::Output::HTML::NavBar::AgentTicketProcess::Run Line: 103
   Module: Kernel::Output::HTML::Layout::NavigationBar Line: 3166
   Module: Kernel::Modules::Admin::Run Line: 37
   Module: Kernel::System::Web::InterfaceAgent::Run Line: 1085
   Module: ModPerl::ROOT::ModPerl::Registry::opt_kix_bin_cgi_2dbin_index_2epl::handler Line: 38
   Module: (eval) (v1.99) Line: 207
   Module: ModPerl::RegistryCooker::run (v1.99) Line: 207
   Module: ModPerl::RegistryCooker::default_handler (v1.99) Line: 173
   Module: ModPerl::Registry::handler (v1.99) Line: 32
 
[Tue May 11 13:54:51.691456 2021] [:error] [pid 135204] Can't use an undefined value as an ARRAY reference at /opt/kix/KIXPro/Kernel/System/Ticket/Acl/TemplateWorkflowsRestrictions.pm line 76.\n
 
#############################################
 
Gibt es vielleicht ein bekanntes Problem mit MYSQL 8 bzw. Ubuntu 20?
 Die Perl-Version ist 5.30.

Beatrice Müller

  • Global Moderator
  • Beiträge: 148
Re: Nach Upgrade auf Ubuntu 20.04 streikt der Webserver
« Antwort #1 am: 09.06.2021 16:18:48 »
Hallo,


scheinbar ist beim Datenbank-Update etwas schief gelaufen.
Sind Fehlermeldungen in den Logs (unter /opt/kix/var/log/kix_install.log und kixpro_install.log)?
Wurde KIXPro ordnungsgemäß aktualisiert?
cat /opt/kix/RELEASE.01Sollte dort noch die ältere Version stehen, dann einfach erneut installieren:
apt-get install kixproDanach wieder CacheDelete, ConfigRebuild und apache restart ausführen.


Viele Grüße
Beatrice Müller

Beatrice Müller

  • Global Moderator
  • Beiträge: 148
Re: Nach Upgrade auf Ubuntu 20.04 streikt der Webserver
« Antwort #2 am: 21.06.2021 12:40:00 »

Hallo nochmal,


wir unterstützen MySQL offiziell nicht mehr ab der Ubuntu Version 20 - das kann auch in der Kompatibilitätsmatrix nachgesehen werden: https://www.kixdesk.com/support/kompatibiltaeten/


Evtl. hilft dir ja folgender Beitrag, für den wir allerdings keinerlei Garantie übernehmen:https://forum.kixdesk.com/index.php?topic=10521.msg15033#msg15033

ohahn

  • Newbie
  • Beiträge: 3
Re: Nach Upgrade auf Ubuntu 20.04 streikt der Webserver
« Antwort #3 am: 11.08.2021 13:08:22 »
Hallo und danke für die Antwort,hat aber leider nicht funktioniert mit dem Workaround. Ich versuche jetzt die Migration auf MariaDB.Gruß OH

Tags: